## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 47;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global apiver 2.4
%global so_version 1

%bcond autoreconf 1

# Doxygen HTML help is not suitable for packaging due to a minified JavaScript
# bundle inserted by Doxygen itself. See discussion at
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555.
#
# We can enable the Doxygen PDF documentation as a substitute.
#
# We still generate the HTML documentation, but strip out all the JavaScript
# that causes policy issues. This degrades it in the browser, but is sufficient
# to keep the Devhelp documentation working.
%bcond doc_pdf 1

Name:           libglademm24
Version:        2.6.7
Release:        %autorelease -b 5
Summary:        C++ wrapper for libglade

# Although the COPYING file contains version 2.1 of the LGPL, the copyright
# statements in the source file headers (e.g. libglade/libglademm.h) read
# “version 2 of the License, or (at your option) any later version”; therefore,
# the entire source is LGPL-2.0-or-later, except the following files, which do
# not contribute to the license of the binary RPMs because they belong to the
# build system, are Windows-specific, or are otherwise not compiled and/or
# installed.
#   • The following are FSFULLR, or since they are derived from the corresponding
#     Makefile.am files, perhaps more properly (LGPL-2.0-or-later AND FSFULLR):
#       - Makefile.in */Makefile.in, */*/Makefile.in, and */*/*/Makefile.in
#   • The following are FSFUL, or since they are derived from the corresponding
#     configure.in file, perhaps more properly (LGPL-2.0-or-later AND FSFUL):
#       - configure
#   • The following are (clearly only) FSFULLR:
#       - aclocal.m4
#   • The following are GPL-2.0-or-later WITH Autoconf-exception-generic:
#       - scripts/config.guess
#       - scripts/config.sub
#       - scripts/depcomp
#       - scripts/ltmain.sh
#       - scripts/missing
#   • The following are GPL-2.0-or-later:
#       - MSVC_Net2005/gendef/gendef.cc
#   • The following are GPL-2.0-only:
#       - examples/derived/deriveddialog.cc
#       - examples/derived/deriveddialog.h
#       - examples/derived/main.cc
#       - examples/variablesmap/examplewindow.cc
#       - examples/variablesmap/examplewindow.h
#       - examples/variablesmap/main.cc
#   • The following are X11:
#       - scripts/install-sh
License:        LGPL-2.0-or-later
SourceLicense:  %{shrink:
                %{license} AND
                FSFUL AND
                FSFULLR AND
                GPL-2.0-only AND
                GPL-2.0-or-later AND
                GPL-2.0-or-later WITH Autoconf-exception-generic AND
                X11
                }
URL:            https://www.gtkmm.org/
Source:         https://ftp.gnome.org/pub/GNOME/sources/libglademm/2.6/libglademm-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  m4

%if %{with autoreconf}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%endif

BuildRequires:  gtkmm24-devel >= 2.6.0
BuildRequires:  libglade2-devel >= 2.6.1

BuildRequires:  doxygen
# dot
BuildRequires:  graphviz
# xsltproc
BuildRequires:  libxslt
%if %{with doc_pdf}
BuildRequires:  doxygen-latex
%endif

%description
This package provides a C++ interface for libglademm. It is a
subpackage of the GTKmm project.  The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%package devel
Summary:        Headers for developing programs that will use libglademm
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use libglademm, part of GTKmm, the C++ interface to the
GTK+.


%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
Documentation for %{name}.


%prep
%setup -q -n libglademm-%{version}

%if %{with autoreconf}
# - AC_PROG_LIBTOOL is obsolete
# - Need some help finding m4 macros
# - Drop obsolete and unavailable GLIBMM_CHECK_PERL macro
#   (https://mail.gnome.org/archives/commits-list/2009-September/msg01850.html)
sed -r -i \
    -e 's/AC_PROG_LIBTOOL/LT_INIT/' \
    -e 's/(AC_CONFIG_)AUX(_DIR\(.*\))/\1AUX\2\n\1MACRO\2/' \
    -e 's/(GLIBMM_CHECK_PERL)/dnl \1/' \
    configure.in
%endif

# Remove pre-built Doxygen output
pushd docs/reference
rm -rvf html xml libglademm_doxygen_tags libglademm-2.4.devhelp
popd
# Note that we will still install the HTML documentation, since the devhelp XML
# requires it, but we will strip out the JavaScript, which will degrade the
# documentation in a web browser.
%if %{with doc_pdf}
# We enable the Doxygen PDF documentation as a substitute. We must
# enable GENERATE_LATEX and LATEX_BATCHMODE; the rest are precautionary and
# should already be set as we like them.
sed -r -i \
    -e "s/^([[:blank:]]*(GENERATE_LATEX|LATEX_BATCHMODE|USE_PDFLATEX|\
PDF_HYPERLINKS)[[:blank:]]*=[[:blank:]]*)NO[[:blank:]]*/\1YES/" \
    -e "s/^([[:blank:]]*(LATEX_TIMESTAMP)\
[[:blank:]]*=[[:blank:]]*)YES[[:blank:]]*/\1NO/" \
    docs/reference/Doxyfile.in
%endif

# The generated installdox script is a thing of the distant past. So is the
# beautify_docs.pl script.
sed -r -i '/\b(installdox|beautify_docs)\b/d' docs/reference/Makefile.am
# The HTML documetation no longer has .dot files, but it does have an SVG. We
# won’t install it anyway.
sed -r -i 's/\.dot\b/\.svg/g' docs/reference/Makefile.am



%conf
%if %{with autoreconf}
AUTOHEADER=/bin/true autoreconf -fiv
%endif
%configure


%build
%make_build

%if %{with doc_pdf}
%make_build -C 'docs/reference/latex'
%endif


%install
%make_install
find %{buildroot} -type f -name '*.la' -print -delete

install -d %{buildroot}%{_pkgdocdir}
install -t %{buildroot}%{_pkgdocdir} -m 0644 \
    AUTHORS ChangeLog NEWS README
# The TODO file is omitted, as it is an empty file.
mv -v %{buildroot}%{_datadir}/doc/gnomemm-*/libglademm-%{apiver}/* \
    %{buildroot}%{_pkgdocdir}/

# Strip out bundled and/or pre-minified JavaScript; this degrades the browser
# experience, but the HTML is still usable for devhelp.
find '%{buildroot}%{_pkgdocdir}/docs/reference/html' \
    -type f \( -name '*.js' -o -name '*.js.*' \) -print -delete
%if %{with doc_pdf}
install 'docs/reference/latex/refman.pdf' -p -m 0644 \
    '%{buildroot}%{_pkgdocdir}/docs/reference/libglademm-%{apiver}.pdf'
%endif

%files
%license COPYING
%{_libdir}/libglademm-%{apiver}.so.%{so_version}{,.*}


%files devel
%{_includedir}/libglademm-%{apiver}
%{_libdir}/libglademm-%{apiver}.so
%{_libdir}/libglademm-%{apiver}/
%{_libdir}/pkgconfig/libglademm-%{apiver}.pc


%files doc
%license COPYING
# Note: JavaScript has been removed from HTML reference manual, degrading the
# browser experience. It is still needed for Devhelp support.
%doc %{_pkgdocdir}/
%doc %{_datadir}/devhelp/


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-51
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-50
- Add a SourceLicense field

* Sat Nov 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-49
- Invoke autoreconf and configure in %%conf rather than in %%build

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-48
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-46
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-45
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-44
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-43
- Use new (rpm 4.17.1+) bcond style

* Mon Jan 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-41
- Revert "Work around missing dependency on texlive-wasy"

* Thu Jan 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-40
- Work around missing dependency on texlive-wasy

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-38
- Indicate dirs. in files list with trailing slashes

* Tue Dec 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-37
- Trivially simplify one files list

* Mon Oct 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-36
- Fix license comment

* Mon Oct 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-35
- Update License to SPDX

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-32
- Tweak a spec file comment

* Sat Oct 02 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-31
- Re-enable Doxygen HTML, stripping JS, for devhelp

* Mon Sep 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-30
- Package PDF instead of HTML documentation

* Mon Sep 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-29
- Switch URLs to HTTPS

* Mon Sep 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-28
- Add “-b 5” to autorelease to fix downgrade (non-monotonic NVR)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Feb 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.7-26
- Whitespace changes
- Drop obsolete %%ldconfig_scriptlets macro
- Use much stricter file globs
- Split documentation into a -doc subpackage
- Do install the devhelp book
- Rebuild autotools-generated files
- Drop unnecessary configure options: --disable-static is the default, and
  --enable-docs is not recognized
- Simplify find-and-remove command for unwanted .la files

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 27 2015 Nils Philippsen <nils@redhat.com> - 2.6.7-13
- rebuild for C++11 ABI

* Thu Mar 19 2015 Devrim Gündüz <devrim@gunduz.org> - 2.6.7-12
- Rebuilt

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.6.7-5
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Denis Leroy <denis@poolshark.org> - 2.6.7-1
- Update to upstream 2.6.7

* Mon Feb 11 2008 Denis Leroy <denis@poolshark.org> - 2.6.6-1
- Update to 2.6.6, bugfix

* Mon Sep 17 2007 Denis Leroy <denis@poolshark.org> - 2.6.4-1
- Update to 2.6.4
- License tag update

* Tue Oct 10 2006 Denis Leroy <denis@poolshark.org> - 2.6.3-2
- Added dist tag

* Mon Aug 28 2006 Denis Leroy <denis@poolshark.org> - 2.6.3-1
- Update to version 2.6.3

* Tue Feb 28 2006 Denis Leroy <denis@poolshark.org> - 2.6.2-1
- Update to version 2.6.2

* Fri Nov 25 2005 Denis Leroy <denis@poolshark.org> - 2.6.1-2
- Disable static libraries

* Mon Sep 19 2005 Denis Leroy <denis@poolshark.org> - 2.6.1-1
- Update to 2.6.1

* Thu Apr 28 2005 Denis Leroy <denis@poolshark.org> - 2.6.0-1
- Upgrade to 2.6.0

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Jun 27 2004 Denis Leroy <denis@poolshark.org> - 0:2.4.1-0.fdr.1
- Upgrade to 2.4.1
- Moved docs to regular directory, disabled devhelp

* Thu Sep 25 2003 Eric Bourque <ericb@computer.org>
- Initial build.

## END: Generated by rpmautospec
